Package org.apache.velocity.app.event

# Interface ReferenceInsertionEventHandler

All Superinterfaces:
  `EventHandler`

All Known Implementing Classes:
  `EscapeHtmlReference`, `EscapeJavaScriptReference`, `EscapeReference`, `EscapeSqlReference`, `EscapeXmlReference`

public interface ReferenceInsertionEventHandler extends EventHandler
Reference 'Stream insertion' event handler. Called with object that will be inserted into stream via value.toString(). Please return an Object that will toString() nicely :)

Version:
  $Id$
Author:
  Will Glass-Husain, Geir Magnusson Jr.

## Method Summary

Modifier and Type
Method
Description
`Object`
`referenceInsert(Context context, String reference, Object value)`
A call-back which is executed during Velocity merge before a reference value is inserted into the output stream.

## Method Details

### referenceInsert

Object referenceInsert(Context context, String reference, Object value)
A call-back which is executed during Velocity merge before a reference value is inserted into the output stream. All registered ReferenceInsertionEventHandlers are called in sequence. If no ReferenceInsertionEventHandlers are are registered then reference value is inserted into the output stream as is.

Parameters:
  `context` - current context
  `reference` - Reference from template about to be inserted.
  `value` - Value about to be inserted (after its `toString()` method is called).
Returns:
  Object on which `toString()` should be called for output.